## NAME

d.zoom - Allows the user to change the current geographic region settings interactively, with a mouse.

## SYNOPSIS

d.zoom
d.zoom help
d.zoom [-fphjr] rast=string[,string,...] [vector=string[,string,...]] [zoom=float]

### Flags:

-f
  Full menu (zoom + pan) & Quit menu
-p
  Pan mode
-h
  Handheld mode
-j
  Just redraw given maps using default colors
-r
  Return to previous zoom

### Parameters:

rast=string[,string,...]
  Name of raster map
vector=string[,string,...]
  Name of vector map
zoom=float
  magnification: >1.0 zooms in, <1.0 zooms out
  Options: 0.001-1000.0
  Default: 0.75

## DESCRIPTION

d.zoom allows the user to interactively adjust the settings of the current geographic region using a pointing device such as a mouse. Like g.region, d.zoom re-defines the settings of the geographic region. However, d.zoom allows the user to change the current region settings interactively, by either outlining the new region perimeter with a mouse, unzoom or pan the region. The graphics display is updated by the module.

After the user types the command d.zoom a mouse-button menu will appear directing the user.

Additionally the region settings can be modified by running g.region.

## NOTES

Although it is not necessary that the user display a map in the active display frame before running d.zoom, it is helpful to do this for reference. Using parameter -f integrate a pan function, -h facilitates the use for handhelds.

## SEE ALSO

d.erase
d.rast
d.vect
g.region

## AUTHOR

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Improvements by Huidae Cho and Markus Neteler

Last changed: $Date: 2004/08/05 12:53:21 $

Help Index